% =====================================================================
\begin{page}{releaseNotes}{0. What's New in \Language{}}
% =====================================================================
\beginscroll

\Language{} information can be found online at
{http://fricas.sourceforge.net}

\indent{0}
FriCAS 1.1.8 news:
\indent{3}

-- Improvements of pattern matching integrator, it can now
integrate in terms of Fresnel integrals and better handles
integrals in terms of Si and Ci.

-- Better integration of symbolic derivatives.

-- Better normalization of Liouvillian functions.

-- New package for computing limits using Gruntz algorithm.

-- Faster removal of roots from denominators.

-- New domains for mutivariate Ore algebras and partial
differential operators.

-- New package for noncommutative Groebner bases.

-- New domain for univariate power series with arbitrary exponents.

-- New special functions: Shi and Chi.

-- Several aggregates (in particular tables) allow more general
parameter types.

-- New domain for hash tables using equality from underlying
domain.

Bug fixes, in particular:

-- Fixed problem with gcd failing due to bad reduction.

-- Fixed series of 'acot' and Puiseux series of several
special functions.

-- Fixed wrong factorization of differential operators.

-- Fixed build problem on recent Mac OS X.

\indent{0}
FriCAS 1.1.7 news:
\indent{3}

- Improved integration in terms of special functions.

- Updated new graphics framework and graph theory package.

- Added routines for numerical evaluation of several special
  functions.

- Added modular method for computing polynomial gcd over algebraic extensions.

- Derivatives of fresnelC and fresnelS are changed to agree
  with established convention.

- When printing floats groups of digits are now separated by
  underscores (previously were separated by spaces).

- Added C code for removing directories, this speeds up full
  build and should avoid build problems on Mac OSX.

Bug fixes, in particular:

- Series expansion now handle poles of Gamma.

- Fixed derivatives of meijerG.

\indent{0}
FriCAS 1.1.6 news:
\indent{3}

- Added experimental graph theory package.

- Added power series expanders for Weierstrass elliptic
  functions at 0.

- New functions: kroneckerProduct and kroneckerSum for matrices,
  numeric weierstrassInvariants and modularInvariantJ, symbolic
  Jacobi Zeta, double float numeric elliptic integrals.

- New domains for vectors and matrices of unsigned 8 and 16 bit integers.

- Changes to Spad compiler: underscores which are not needed as escape
  are now significant in Spad names and strings, macros with parameters
  are supported, added partial support for exceptions, braces can
  be used for grouping.

- A few speedups.

- Reduced disc space usage during build.

Bug fixes, in particular:

- Fixed eval of hypergeometricF at 0

- Fixed problem with scope of macros.

- Worked around problems with openinig named pipes in several Lisp
  implementations.

- Fixed a problem with searching documentation via HyperDoc.

- Fixed build problem on Mac OSX.

\indent{0}
FriCAS 1.1.5 news:
\indent{3}

- Added numeric version of lambertW.

- New function 'rootFactor' which tries to write roots of products
  as products of roots.

- 'try', 'catch' and 'finally' are now Spad keywords.

- Experimental support for using gmp with Closure CL (64-bit Intel/Amd
  only).

- New categoris CoercibleFrom and ConvertibleFrom.  New domain
  for ordinals up to epsilon0.  New domain for matrices of machine
  integers.  New package for solving linear equations written as
  expressions (faster then general expression solver). 

- Functions exported by Product() are now called 'construct', 'first'
  and 'second' (instead of 'makeprod', 'selectfirst' and 'selectsecond'
  respectively).

- Some functions are now much faster, in particular bivariate
  factorization over small finite fields.

- When using sbcl FriCAS now tries to preload statistical profiler.

Bug fixes, in particular:

- Fixed handling of Control-C in FriCAS compiled by recent sbcl.

- Fixed HyperDoc crash due to bad handling of '\#'.

- Fixed power series expanders for elliptic integrals.

- Fixed 'possible wild ramifcation' problem with algebraic
  integrals.

- 'has' in interpreter now correctly handles \spad{\%}.

- Spad compiler can now handle single \spad{=>} at top level of a function.

- Fixed few problems with conditional types in Spad compiler.

\indent{0}
FriCAS 1.1.4 news:
\indent{3}

- New domains for combinatorial probability theory by Franz Lehner.

- Improved integration of algebraic functions.

- Initial support for semirings.

- Updated framework for theory of computations.

- In Spad parser \spad{**, \^'} and \spad{->} are now
  right-associative.

- Spad parser no longer transforms relational operators.

- Join of categories is faster which speeds up Spad compiler.

Bug fixes, in particular:

- Retraction of 'rootOf' from Expression(Integer) to AlgebraicNumber
  works now.

- Attempt to print error message about invalid type no longer
  crash (SF 2977357).

- Fixed few problems in Spad compiler dealing with conditional exports.

- HyperDoc now should find all function descriptions (previously
  it missed several).

\indent{0}
FriCAS 1.1.3 news:
\indent{3}

- Added "jet bundle" framework  by Werner Seiler and Joachim Schue,
  which includes completion procedure and symmetry analysis for PDE.

- Better splitting of group representations (added Holt-Rees improvement
  to meatAxe).

- Added numeric versions of some elliptic integrals and few more elliptic
  functions.

- Speeded up FFCGP (finite fields via Zech logarithms).

- New experimental flag (off by default, set via setSimplifyDenomsFlag)
  which if on causes removal of irrationalities from denominators.
  Usually it causes slowdown, but on some examples gives huge speedup.
  It may go away in future (when no longer needed).

- Added experimental framework for theory of computations.

Bug fixes, in particular:

- Numerical solutions of polynomial systems have now required accuracy
  (SF 2418832).

- Fixed problem with crashes during tracing.

- Fixed a problem with nested iteration (SF 3016806).

- Eliminated stack overflow when concatenating long lists.

\indent{0}
FriCAS 1.1.2 news:
\indent{3}

- Experimental Texmacs interface and Texmacs format output.

- Guessing package can now guess algebraic dependencies.

- Expansion into Taylor series and limits now work for most
  special functions.

- Spad to Aldor translator is removed.

- Spad compiler no longer allows to denote sets using braces.

Bug fixes, in particular:

- Fixed few cases where elementary integrals were returned
  unevalueated or produced wrong results.

- Unwanted numerical evaluation should be no longer a problem
  (FriCAS interpreter now very strongly prefers symbolic
  evaluation over numerical evaluation).

- Fixed a truncation bug in guessing package which caused loss
  of some correct solutions.

- TeX and MathML format should correctly put parentheses around
  and inside sums and products.

- Fixed few problems with handling of Unicode.

\indent{0}
FriCAS 1.1.1 news:
\indent{3}

- New graphics framework.

- Support for using GMP with sbcl on 32/64 bit AMD/Intel processors
  (to activate it one must use '--with-gmp' option to configure).

- Improvements to integration and normalization.  In particular
  integrals containing multiple non-nested roots should now work
  much faster.  Also FriCAS now can compute more integrals
  of Liouvillian functions.

- Several new special functions.

- Improvements to efricas.

- Looking for default init file FriCAS now first tries to use
  '.fricas.input' and only if that fails it looks for
  '.axiom.input'.

Bug fixes, in particular:

- Numeric atan, asin and acos took wrong branch.

- WeierstrassPreparation package did not work.

- Saving and restoring history should be now more reliable.

- Fixed two bugs in Spad compiler related to conditional compilation.

- Fixed a problem with rational reconstruction which affected
  guessing package.

\indent{0}
FriCAS 1.1.0 news:
\indent{3}

- New domains and packages: VectorSpaceBasis domain,
  DirichletRing domain, 3D graphic output in Wavefront .obj format,
  specialized machine precision numeric vectors and matrices (faster
  then general vectors and matrices), Html output. 

- Support Clifford algebras corresponding to non-diagonal matrix,
  added new operations.

- 'normalize' now tries to simplify logarithms of algebraic constants.

- New functions: Fresnel integrals, carmichaelLambda.

- Speed improvements: several polynomial operations are faster,
  faster multiplication in Ore algebras, faster computation of
  strong generating set for permutation groups, faster coercions.

- Several improvements to the guessing package (in particular new
  option Somos for restricting attention to Somos-like
  sequences

Bug fixes, in particular:

- FriCAS can now compute multiplicative inverse of a power series
  with constant term not equal to 1.

- Fixed a problem with passing interpreter functions to algebra.

- Two bugs causing crashes in HyperDoc interface are fixed.

- FriCAS now ignores sign when deciding if number is prime.

- A failing coercion that used to crash FriCAS is now detected.

- 'has' test sometimes gave wrong result.

- Plotting fixes.


\indent{0}
FriCAS 1.0.9 news.
\indent{3}

- Speed improvements to polynomial multiplication, power series
  multiplication, guessing package and coercion of polynomials
  to expressions.

- Domains for tensor products.

- 'Complex(Integer)' is now  UniqueFactorizationDomain.

- Types in interpreter are now of type 'Type' (instead of 'Domain')
  and categories in interpreter are of type 'Category' (instead of
  'Subdomain(Domain)').

- Interpreter functions can now return 'Type'.

- New function for files: 'flush'.

- Spad compiler: return in nested functions and nested functions
  returning functions.

Bug fixes, in particular:

- Several fixes to guessing package.

- Avoid crash when unparsing equations.

- Equation solver accepts more solutions.

- Fixed handling of 'Tuple' in Spad parser.

- Fixed miscompilation of record constructor by Spad compiler.

\indent{0}
FriCAS 1.0.8 news.
\indent{3}

- Improved version of guessing package.  It can now handle much
  larger problems than before.  Added ability to guess
  functional substitution equations.

- Experimental support for build using CMU CL

- Various speed improvements including faster indexing for two
  dimensional arrays

- By default FriCAS build tries to use sbcl.

- Building no longer require patch.

Bug fixes, in particular:

- correct definition of random() for matrices

- conditionals in .input files work again

- Spad compiler now recognizes more types as equal

- fixed problem with pattern-matching quote

\indent{0}
FriCAS 1.0.7 news.
\indent{3}

- Comparisons between elements of the Expression domain are
  undefined.  Earlier versions gave confusing results for expressions
  like '\%e < \%pi' -- now FriCAS will complain about '<' being
  undefined.

- A domain for general quaternions was added.

- Equality in Any is now more reasonable -- it uses equality from
  underlying domain if available.

- Messages about loading of components are switched off by default.

- Release build benefits from parallel make.

- In Spad code a single quote now means that the following token
  is a symbol.

- Reorganization of algebra sources, in particular several types
  have changed (this may affect users Spad code).

Bug fixes, in particular:

- Categories with default package can be used just after definition
   (fixes 1.0.6 regression).

- Plots involving 0 or 1 work now.

- Numbers in radix bigger than 10 appear correctly in TeX output.

- Fixed browser crashes when displaying some domains.

- Fix horizontal display of fractions.

- Allow local domains in conditionals (in Spad code).

- Fixed problem with splitting polynomials and nested extensions.

\indent{0}
FriCAS 1.0.6 news.
\indent{3}

- the axiom script is no longer installed (use fricas script
  instead)

- some undesirable simplification are no longer done by default,
  for example now asin(sin(3)) is left unevaluated

- support lambda expressions using '+->' syntax and nested functions
  in Spad

- better configure, support for Dragonfly BSD

- faster bootstrap, also parallel (this does not affect speed
  of release build)

Several bug fixes, in particular:

- fixed a regression introduced in 1.0.4 which caused equality
  for nested products to sometimes give wrong result

- corrected fixed output of floating point numbers,

- operations on differential operators like symmetric power work now

- fixed crashes related to coercing power series

- functions returning Void can be traced

\indent{0}
FriCAS 1.0.5 news.
\indent{3}

- improvement to normalize function, it performs now much stronger
  simplifications than before

- better integration: due to improved normalize FriCAS can
  now integrate many functions that it previously considered
  unintegrable

- improvement to Martin Rubey guessing package, for example
  it can now guess differential equation for the generating 
  function of integer partitions

- better support for using type valued functions

- several bug fixes

\indent{0}
FriCAS 1.0.4 news.
\indent{3}

- significant speedups for some operations (for example
  definite integration)

- support for building algebra using user-defined optimization
  settings

- support for mouse wheel in HyperDoc browser

- included support for interfacing with Aldor

- new optional Emacs mode and efricas script to run FriCAS
  inside emacs

- better unparse

- removed support for attributes (replaced by empty categories) and
  use of colon for type conversions in Spad code

- a few bug fixes

\indent{0}
FriCAS 1.0.3 news.
\indent{3}

- added multiple precision Gamma and logGamma functions

- better line editing

- removed some undocumented and confusing constructs from Spad
  language

- added new categories for semiring and ordered semigroup,
  direct product of monoids is now a monoid

- internal cleanups and restructurings

- a few bug fixes

\indent{0}
FriCAS 1.0.2 news.
\indent{3}

- ')nopiles' command gives conventional syntax

- added pfaffian function

- ECL support

- Graphics and Hyperdoc work using openmcl or ECL

- Output may be now delimited by user defined markers

- Experimental support for using as a Lisp library

- Spad compiler is now significantly faster

- Several bug fixes

\indent{0}
FriCAS 1.0.1 news.
\indent{3}

- Graphics and Hyperdoc work using sbcl or clisp

- Builds under Cygwin (using Cygwin clisp)

- MathML support contributed by Arthur C. Ralfs

- Help files created by Tim Daly

- Added SPADEDIT script

- Full release caches all generated HyperDoc pages

- Bug fixes, including implementing some missing functions and build fixes

\indent{0}
FriCAS 1.0.0 news.
\indent{3}

The 1.0 release is the first release of FriCAS.  Below we list
main differences compared to AXIOM September 2006.

Numerous bug fixes (in particular HyperDoc in now fully functional
on Unix systems).

FriCAS includes guessing package written by Martin Rubey.  This
package provides unique ability to guess formulas for sequences
of numbers or polynomials.

Some computation, in particular involving Expression domain, should be
much faster.  FriCAS to go trough its testsuite needs only half
of the time needed by AXIOM September 2006.

Spad compilation is faster (in some cases 2 times faster).

FriCAS is much more portable than AXIOM September 2006.  It can
be build on Linux, many Unix systems (for example Mac OSX and Solaris 10)
and Windows.   It can be build on top of gcl, sbcl, clisp or openmcl
(gcl and sbcl based FriCAS is fully functional, clisp or openmcl
based one lacks graphic support).

Many unused or non-working parts are removed from FriCAS.  In particular
FriCAS does not contain support for NAG numerical library.

FriCAS can be build from sources using only a few pre-generated Lisp
files for bootstrap -- only to bootstrap Shoe translator.  This
means that modifying FriCAS algebra is now much easier.
\beginmenu
    %\menudownlink{Online information}{onlineInformation}
    \menudownlink{AXIOM February 2005}{feb2005}
\endmenu

\endscroll
\autobuttons
\end{page}

% =====================================================================
\begin{page}{onlineInformation}{Online information}
% =====================================================================
\beginscroll
\Language{} information can be found online at
{http://fricas.sourceforge.net}
{http://page.axiom-developer.org/zope/mathaction/FrontPage}
{http://savannah.nongnu.org/projects/axiom}
{http://sourceforge.net/projects/axiom}
{http://www.caissny.org}
\endscroll
\autobuttons
\end{page}

% =====================================================================
\begin{page}{feb2005}{Feature Complete release}
% =====================================================================
\beginscroll
The February 2005 release is the first complete release of the 
AXIOM system since it was first made available as open source.

This release includes the full complement of algebra, the graphics
subsystem, and the hyperdoc system. 

This full release runs on Linux and Solaris 9. 
The algebra runs on Windows.
\endscroll
\autobuttons
\end{page}

